## javax.mail.search
Class BodyTerm

    java.lang.Object
      javax.mail.search.SearchTerm
          javax.mail.search.StringTerm
              javax.mail.search.BodyTerm

All Implemented Interfaces:
  Serializable

    public final class BodyTerm

extends StringTerm

This class implements searches on a message body. All parts of the message that are of MIME type "text/*" are searched. The pattern is a simple string that must appear as a substring in the message body.

See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.mail.search.StringTerm
`ignoreCase, pattern`

Constructor Summary
`BodyTerm(String pattern)` Constructor

Method Summary
`boolean` `equals(Object obj)` Equality comparison.
`boolean` `match(Message msg)` The match method.

Methods inherited from class javax.mail.search.StringTerm
`getIgnoreCase, getPattern, hashCode, match`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BodyTerm

    public BodyTerm(String pattern)

  Constructor

  Parameters:
    `pattern` - The String to search for

Method Detail

### match

    public boolean match(Message msg)

  The match method.

  Specified by:
    `match` in class `SearchTerm`
  Parameters:
    `msg` - The pattern search is applied on this Message's body
  Returns:
    true if the pattern is found; otherwise false

### equals

    public boolean equals(Object obj)

  Equality comparison.

  Overrides:
    `equals` in class `StringTerm`

Copyright © 2009 Sun Microsystems, Inc.. All Rights Reserved.